package session

import (
	"git.loafle.net/overflow_scanner/probe/discovery/types"
)

func NewMockDiscoverySession(requesterID string, discoveryRequestType types.DiscoveryRequestType, params ...interface{}) DiscoverySession {
	s := &mockDiscoverySession{}
	s.InitWithRequest(
		types.NewMockDiscoveryRequest(
			requesterID,
			discoveryRequestType,
			params...,
		),
	)
	return s
}

type mockDiscoverySession struct {
	ofDiscoverySession
}

// func (ds *mockDiscoverySession) AddHost(host *omd.Host) *omd.Host {
// 	return host
// }

// func (ds *mockDiscoverySession) AddPort(port *omd.Port) *omd.Port {
// 	return port
// }

// func (ds *mockDiscoverySession) AddService(service *omd.Service) *omd.Service {
// 	return service
// }
