package privileged

import (
	omm "git.loafle.net/overflow/model/meta"
	"git.loafle.net/overflow_scanner/probe/discovery/session"
)

func Scan(discoverySession session.DiscoverySession) error {
	metaIPTypeEnum := omm.ToMetaIPTypeEnum(discoverySession.Zone().MetaIPType)

	switch metaIPTypeEnum {
	case omm.MetaIPTypeEnumV4:
		return scanV4(discoverySession)
	case omm.MetaIPTypeEnumV6:
		return scanV4(discoverySession)
	}

	return nil
}
