package service

import (
	"reflect"

	oa "git.loafle.net/overflow/annotation-go"
	od "git.loafle.net/overflow/di-go"
)

func init() {
	od.RegisterType(PingServiceType)
}

var PingServiceType = reflect.TypeOf((*PingService)(nil))

type PingService struct {
	oa.TypeAnnotation `annotation:"@Injectable('name': 'PingService') @Service()"`

	_InitService    oa.MethodAnnotation `annotation:"@PostConstruct()"`
	_DestroyService oa.MethodAnnotation `annotation:"@PreDestroy()"`
}

func (s *PingService) InitService() {

}

func (s *PingService) DestroyService() {

}
func (s *PingService) PingHost() error {
	return nil
}

func (s *PingService) PingService() error {
	return nil
}

func (s *PingService) PingAll() error {
	return nil
}
