package service

import (
	"reflect"

	oa "git.loafle.net/overflow/annotation-go"
	od "git.loafle.net/overflow/di-go"
)

func init() {
	od.RegisterType(SNMPServiceType)
}

var SNMPServiceType = reflect.TypeOf((*SNMPService)(nil))

type SNMPService struct {
	oa.TypeAnnotation `annotation:"@Injectable('name': 'SNMPService') @Service()"`

	_InitService    oa.MethodAnnotation `annotation:"@PostConstruct()"`
	_DestroyService oa.MethodAnnotation `annotation:"@PreDestroy()"`
}

func (s *SNMPService) InitService() {

}

func (s *SNMPService) DestroyService() {

}
func (s *SNMPService) ScanSNMP() error {
	return nil
}

func (s *SNMPService) PingSNMP() error {
	return nil
}
